Skip to main content
`Ctrl`+`K`

# DMPlexReconstructGradientsFVM

reconstruct the gradient of a vector using a finite volume method.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexReconstructGradientsFVM(DM dm, Vec locX, Vec grad)

## Input Parameters

- dm - the mesh

- locX - the local representation of the vector

## Output Parameter

- grad - the global representation of the gradient

## See Also

DMPlex: Unstructured Grids, `DM`, `Vec`, `DMPlexGetGradientDM()`

## Level

developer

## Location

src/dm/impls/plex/plexfvm.c

## Examples

src/ts/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages